package com.zehong.system.domain.vo;

import com.zehong.common.core.domain.BaseEntity;

import java.math.BigDecimal;

public class UserInspectExport extends BaseEntity {

    /** $column.columnComment */
    private Long id;

    /** 任务id */
    private Long taskId;

    private String meterImg;

    /** 经度 */
    private BigDecimal longitude;

    /** 纬度 */
    private BigDecimal latitude;

    /** 检查单json */
    private String content;

    /** 安检人id */
    private Long memberId;

    /** 用户类型，1是居民，2是工商户，3是工业 */
    private Long type;

    /** 居民，工商户，工业id */
    private Long receiveId;

    /** 0未检测 1有隐患，2整改完成，3完结 */
    private Long status;

    /** 满意度，1是不满意，2是一般，3是满意 */
    private Long satisfy;

    /** 签字，0是未签字，1是已签字 */
    private Long sign;

    /** 是否有隐患，0没有，1有 */
    private Integer danger;

    /** 表底数据 */
    private String meterData;

    private String nickName;

    private String usernum;

    private String username;

    private String phone;

    private String address;

    private String device;

    /** 表具类型1皮膜2超声 */
    private Integer meterType;

    /** 表具厂家1金卡2秦川 */
    private Integer meterCompany;

    /** 表具型号1 G1.5、2 G2.5、3 G4 */
    private Integer meterModel;

    /** 进气方向1左2右 */
    private Long direction;

    private String taskType;

    private Long village;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public String getMeterImg() {
        return meterImg;
    }

    public void setMeterImg(String meterImg) {
        this.meterImg = meterImg;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Long getReceiveId() {
        return receiveId;
    }

    public void setReceiveId(Long receiveId) {
        this.receiveId = receiveId;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getSatisfy() {
        return satisfy;
    }

    public void setSatisfy(Long satisfy) {
        this.satisfy = satisfy;
    }

    public Long getSign() {
        return sign;
    }

    public void setSign(Long sign) {
        this.sign = sign;
    }

    public Integer getDanger() {
        return danger;
    }

    public void setDanger(Integer danger) {
        this.danger = danger;
    }

    public String getMeterData() {
        return meterData;
    }

    public void setMeterData(String meterData) {
        this.meterData = meterData;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUsernum() {
        return usernum;
    }

    public void setUsernum(String usernum) {
        this.usernum = usernum;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public Integer getMeterType() {
        return meterType;
    }

    public void setMeterType(Integer meterType) {
        this.meterType = meterType;
    }

    public Integer getMeterCompany() {
        return meterCompany;
    }

    public void setMeterCompany(Integer meterCompany) {
        this.meterCompany = meterCompany;
    }

    public Integer getMeterModel() {
        return meterModel;
    }

    public void setMeterModel(Integer meterModel) {
        this.meterModel = meterModel;
    }

    public Long getDirection() {
        return direction;
    }

    public void setDirection(Long direction) {
        this.direction = direction;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public Long getVillage() {
        return village;
    }

    public void setVillage(Long village) {
        this.village = village;
    }
}
